"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _user = require("../../models/user");

var _database = require("../../submodules/database");

var _argumentError = _interopRequireDefault(require("./helpers/argumentError"));

var _bcrypt = _interopRequireDefault(require("bcrypt"));

var _fs = require("fs");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = async args => {
  const sequelize = (0, _database.initDatabase)();
  let config = JSON.parse(await _fs.promises.readFile('/etc/oblecto/config.json'));

  if (args.length < 3) {
    (0, _argumentError.default)('changepassword', ['username', 'password']);
    return;
  }

  let user = await _user.User.findOne({
    where: {
      username: args[1]
    }
  });

  if (user == null) {
    console.log(`User ${args[1]} was not found, please check your spelling`);
  } else {
    let hash = await _bcrypt.default.hash(args[2], config.authentication.saltRounds);
    await user.update({
      password: hash
    });
    console.log(`User ${args[1]}'s password has been changed`);
  }

  sequelize.close();
};

exports.default = _default;