"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _user = require("../../models/user");

var _database = require("../../submodules/database");

var _argumentError = _interopRequireDefault(require("./helpers/argumentError"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = async args => {
  const sequelize = (0, _database.initDatabase)();

  if (args.length < 2) {
    (0, _argumentError.default)('removepassword', ['username']);
    return;
  }

  let user = await _user.User.findOne({
    where: {
      username: args[1]
    }
  });

  if (user == null) {
    console.log(`User ${args[1]} was not found, please check your spelling`);
  } else {
    await user.update({
      password: ''
    });
    console.log(`User ${args[1]}'s password has been removed`);
  }

  sequelize.close();
};

exports.default = _default;