"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConfigManager = exports.default = void 0;

var _os = _interopRequireDefault(require("os"));

var _fs = _interopRequireDefault(require("fs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let config = {};
const ConfigManager = {
  loadFile: function loadFile(file) {
    try {
      return JSON.parse(_fs.default.readFileSync(file, 'utf8'));
    } catch (ex) {
      if (ex.code === 'ENOENT') {
        console.log(`No config file at ${file}, continuing to next file`);
        return {};
      }

      console.log(`There is an error with the config file located at ${file}:`);
      console.log(ex.message);
      return {};
    }
  },
  loadConfigFiles: function loadConfigs() {
    config = { ...this.loadFile('/etc/oblecto/config.json')
    };
  },
  saveConfig: function saveConfig() {
    _fs.default.writeFile('/etc/oblecto/config.json', JSON.stringify(config, null, 4), (stat, err) => {
      if (err) {
        console.log('An error has occurred while writing the config file: ', err);
      }
    });
  }
};
exports.ConfigManager = ConfigManager;
ConfigManager.loadConfigFiles();
var _default = config;
exports.default = _default;