"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _sharp = _interopRequireDefault(require("sharp"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_sharp.default.cache(false);

class ImageScaler {
  constructor(oblecto) {
    this.oblecto = oblecto;
    this.oblecto.queue.registerJob('rescaleImage', async job => {
      await ImageScaler.rescaleImage(job.from, job.to, {
        width: job.width,
        height: job.height
      });
    });
  }

  static async rescaleImage(from, to, size) {
    await (0, _sharp.default)(from).resize(size.width, size.height).toFile(to);
  }

}

exports.default = ImageScaler;