"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = require("fs");

var _movie = require("../../../models/movie");

class MovieArtworkCollector {
  /**
   *
   * @param {Oblecto} oblecto
   */
  constructor(oblecto) {
    this.oblecto = oblecto;
  }
  /**
   *
   * @param movie - Movie for which to download fanart for
   * @returns {Promise<void>}
   */


  async collectArtworkMovieFanart(movie) {
    let stat;

    try {
      stat = await _fs.promises.stat(this.oblecto.artworkUtils.movieFanartPath(movie));
    } catch (e) {}

    if (stat) return;
    this.oblecto.queue.queueJob('downloadMovieFanart', movie);
  }
  /**
   *
   * @param movie - Movie for which to download poster for
   * @returns {Promise<void>}
   */


  async collectArtworkMoviePoster(movie) {
    let stat;

    try {
      stat = await _fs.promises.stat(this.oblecto.artworkUtils.moviePosterPath(movie));
    } catch (e) {}

    if (stat) return;
    this.oblecto.queue.queueJob('downloadMoviePoster', movie);
  }
  /**
   *
   * @returns {Promise<void>}
   */


  async collectAllMovieFanart() {
    let movies = await _movie.Movie.findAll();

    for (let movie of movies) {
      await this.collectArtworkMovieFanart(movie);
    }
  }
  /**
   *
   * @returns {Promise<void>}
   */


  async collectAllMoviePosters() {
    let movies = await _movie.Movie.findAll();

    for (let movie of movies) {
      await this.collectArtworkMoviePoster(movie);
    }
  }
  /**
   *
   * @returns {Promise<void>}
   */


  async collectAll() {
    await this.collectAllMoviePosters();
    await this.collectAllMovieFanart();
  }

}

exports.default = MovieArtworkCollector;