"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _DebugExtendableError = _interopRequireDefault(require("../../../errors/DebugExtendableError"));

var _axiosTimeout = _interopRequireDefault(require("../../../../submodules/axiosTimeout"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class FanarttvMovieArtworkRetriever {
  constructor(oblecto) {
    this.oblecto = oblecto;
  }

  async retrieveFanart(movie) {
    if (!(movie.tmdbid || movie.imdbid)) throw new _DebugExtendableError.default(`No tmdbid or imdb id found for movie ${movie.movieName}`);
    let {
      data
    } = await (0, _axiosTimeout.default)({
      method: 'get',
      url: `http://webservice.fanart.tv/v3/movies/${movie.tmdbid || movie.imdbid}?api_key=${this.oblecto.config['fanart.tv'].key}`
    });
    if (!data.moviebackground) return [];
    let urls = [];

    for (let image of data.moviebackground) {
      urls.push(image.url);
    }

    return urls;
  }

  async retrievePoster(movie) {
    if (!(movie.tmdbid || movie.imdbid)) throw new _DebugExtendableError.default(`No tmdbid or imdb id found for movie ${movie.movieName}`);
    let {
      data
    } = await (0, _axiosTimeout.default)({
      method: 'get',
      url: `http://webservice.fanart.tv/v3/movies/${movie.tmdbid || movie.imdbid}?api_key=${this.oblecto.config['fanart.tv'].key}`
    });
    if (!data.movieposter) return [];
    let urls = [];

    for (let image of data.movieposter) {
      urls.push(image.url);
    }

    return urls;
  }

}

exports.default = FanarttvMovieArtworkRetriever;