"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _DebugExtendableError = _interopRequireDefault(require("../../../errors/DebugExtendableError"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class TmdbMovieArtworkRetriever {
  constructor(oblecto) {
    this.oblecto = oblecto;
  }

  async retrieveFanart(movie) {
    if (!movie.tmdbid) throw new _DebugExtendableError.default(`No tmdbid id found for movie ${movie.movieName}`);
    let data = await this.oblecto.tmdb.movieImages({
      id: movie.tmdbid
    });
    let urls = [];

    for (let image of data.backdrops) {
      urls.push(`https://image.tmdb.org/t/p/original${image['file_path']}`);
    }

    return urls;
  }

  async retrievePoster(movie) {
    if (!movie.tmdbid) throw new _DebugExtendableError.default(`No tmdbid id found for movie ${movie.movieName}`);
    let data = await this.oblecto.tmdb.movieImages({
      id: movie.tmdbid
    });
    let urls = [];

    for (let image of data.posters) {
      urls.push(`https://image.tmdb.org/t/p/original${image['file_path']}`);
    }

    return urls;
  }

}

exports.default = TmdbMovieArtworkRetriever;