"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _DebugExtendableError = _interopRequireDefault(require("../../../errors/DebugExtendableError"));

var _axiosTimeout = _interopRequireDefault(require("../../../../submodules/axiosTimeout"));

var _promiseTimeout = _interopRequireDefault(require("../../../../submodules/promiseTimeout"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class FanarttvSeriesArtworkRetriever {
  constructor(oblecto) {
    this.oblecto = oblecto;
  }

  async retrieveEpisodeBanner(episode) {
    return [];
  }

  async retrieveSeriesPoster(series) {
    if (!series.tvdbid) throw new _DebugExtendableError.default(`Fanart.tv Series poster retriever failed for ${series.seriesName}`);
    let {
      data
    } = await (0, _axiosTimeout.default)({
      method: 'get',
      url: `http://webservice.fanart.tv/v3/tv/${series.tvdbid}?api_key=${this.oblecto.config['fanart.tv'].key}`
    });
    let urls = [];

    for (let poster of data.tvposter) {
      urls.push(poster.url);
    }

    return urls;
  }

}

exports.default = FanarttvSeriesArtworkRetriever;