"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _DebugExtendableError = _interopRequireDefault(require("../../../errors/DebugExtendableError"));

var _promiseTimeout = _interopRequireDefault(require("../../../../submodules/promiseTimeout"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class TmdbSeriesArtworkRetriever {
  constructor(oblecto) {
    this.oblecto = oblecto;
  }
  /**
   *
   * @param {Episode} episode
   * @returns {Promise<string>}
   */


  async retrieveEpisodeBanner(episode) {
    if (!episode.tmdbid) throw new _DebugExtendableError.default(`TMDB Episode banner retriever failed for ${episode.episodeName}`);
    let series = await episode.getSeries();
    let data = await (0, _promiseTimeout.default)(this.oblecto.tmdb.episodeImages({
      id: series.tmdbid,
      episode_number: episode.airedEpisodeNumber,
      season_number: episode.airedSeason
    }));
    let urls = [];

    for (let image of data.stills) {
      urls.push(`https://image.tmdb.org/t/p/original${image['file_path']}`);
    }

    return urls;
  }
  /**
   *
   * @param {Series} series
   * @returns {Promise<string>}
   */


  async retrieveSeriesPoster(series) {
    if (!series.tmdbid) throw new _DebugExtendableError.default(`TMDB Series poster retriever failed for ${series.seriesName}`);
    let data = await (0, _promiseTimeout.default)(this.oblecto.tmdb.tvImages({
      id: series.tmdbid
    }));
    let urls = [];

    for (let image of data.posters) {
      urls.push(`https://image.tmdb.org/t/p/original${image['file_path']}`);
    }

    return urls;
  }

}

exports.default = TmdbSeriesArtworkRetriever;