"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _DebugExtendableError = _interopRequireDefault(require("../../../errors/DebugExtendableError"));

var _promiseTimeout = _interopRequireDefault(require("../../../../submodules/promiseTimeout"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class TvdbSeriesArtworkRetriever {
  constructor(oblecto) {
    this.oblecto = oblecto;
  }
  /**
   *
   * @param {Episode} episode
   * @returns {Promise<string>}
   */


  async retrieveEpisodeBanner(episode) {
    if (!episode.tvdbid) throw new _DebugExtendableError.default(`TVDB Episode banner retriever failed for ${episode.episodeName}`);
    let data = await (0, _promiseTimeout.default)(this.oblecto.tvdb.getEpisodeById(episode.tvdbid));
    return [`https://thetvdb.com/banners/_cache/${data.filename}`];
  }
  /**
   *
   * @param {Series} series
   * @returns {Promise<string>}
   */


  async retrieveSeriesPoster(series) {
    if (!series.tvdbid) throw new _DebugExtendableError.default(`TVDB Series poster retriever failed for ${series.seriesName}`);
    let data = await (0, _promiseTimeout.default)(this.oblecto.tvdb.getSeriesPosters(series.tvdbid));
    let urls = [];

    for (let image of data) {
      urls.push(`http://thetvdb.com/banners/${image.fileName}`);
    }

    return urls;
  }

}

exports.default = TvdbSeriesArtworkRetriever;