"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = require("fs");

var _file = require("../../models/file");

var _movie = require("../../models/movie");

var _episode = require("../../models/episode");

var _logger = _interopRequireDefault(require("../../submodules/logger"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class FileCleaner {
  constructor(oblecto) {
    this.oblecto = oblecto;
  }
  /**
   * Remove all files which no longer exist on the filesystem from the database
   *
   * @returns {Promise<void>}
   */


  async removedDeletedFiled() {
    _logger.default.log('INFO', 'Removing all non existent files from the database');

    let files = await _file.File.findAll();

    for (let file of files) {
      try {
        await _fs.promises.stat(file.path);
      } catch (e) {
        _logger.default.log('INFO', file.path, 'not found. Removing from database');

        await file.destroy();
      }
    }
  }
  /**
   * Remove all files from the database which no longer have any attached media items
   *
   * @returns {Promise<void>}
   */


  async removeAssoclessFiles() {
    _logger.default.log('INFO', 'Removing files from the database without any attached media items');

    let results = await _file.File.findAll({
      include: [_movie.Movie, _episode.Episode]
    });
    results.forEach(item => {
      if (item.Movies.length === 0 && item.Episodes.length === 0) {
        item.destroy();
      }
    });
  }

}

exports.default = FileCleaner;