"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _movie = require("../../models/movie");

var _file = require("../../models/file");

var _logger = _interopRequireDefault(require("../../submodules/logger"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class MovieCleaner {
  /**
   * @param {Oblecto} oblecto
   */
  constructor(oblecto) {
    this.oblecto = oblecto;
  }
  /**
   * Remove all movies from the database without any linked files
   *
   * @returns {Promise<void>}
   */


  async removeFileLessMovies() {
    _logger.default.log('INFO', 'Removing movies without linked files');

    let results = await _movie.Movie.findAll({
      include: [_file.File]
    });

    for (let item of results) {
      if (item.Files && item.Files.length > 0) continue;

      _logger.default.log('INFO', 'Removing', item.movieName, 'as it has no linked files');

      await item.destroy();
    }
  }

}

exports.default = MovieCleaner;