"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _FederationDataClient = _interopRequireDefault(require("./FederationDataClient"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class FederationClientController {
  constructor(oblecto) {
    this.oblecto = oblecto;
    this.syncServers = [];
  }

  async addAllSyncMasters() {
    for (let server in this.oblecto.config.federation.servers) {
      await this.addSyncMaster(server);
    }
  }

  async addSyncMaster(server) {
    let client = new _FederationDataClient.default(this.oblecto, server);
    await client.connect();
    await client.requestFullSync();
    this.syncServers.push(client);
  }

  requestFullSync() {
    for (let server of this.syncServers) {
      server.requestFullSync();
    }
  }

  close() {
    for (let server of this.syncServers) {
      server.close();
    }
  }

}

exports.default = FederationClientController;