"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _tls = _interopRequireDefault(require("tls"));

var _fs = _interopRequireDefault(require("fs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class FederationServer {
  constructor(oblecto, port) {
    this.oblecto = oblecto;
    let options = {
      key: _fs.default.readFileSync(this.oblecto.config.federation.key),
      cert: _fs.default.readFileSync('/etc/oblecto/keys/public-cert.pem')
    };
    this.server = _tls.default.createServer(options, socket => {});
    this.server.listen(port);
    this.server.on('error', err => this.errorHandler(err));
    this.server.on('connection', socket => this.connectionHandler(socket));
    this.server.on('secureConnection', socket => this.secureConnectionHandler(socket));
  }

  errorHandler(error) {}

  connectionHandler(socket) {}

  secureConnectionHandler(socket) {}

  close() {
    this.server.close();
  }

}

exports.default = FederationServer;