"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _file = require("../../models/file");

var _movie = require("../../models/movie");

class FederationMovieIndexer {
  constructor(oblecto) {
    this.oblecto = oblecto; // Register task availability to Oblecto queue

    this.oblecto.queue.registerJob('federationIndexMovie', async job => {
      await this.indexMovie(job);
    });
  }

  async indexMovie(file) {
    let [fileEntity, fileInserted] = await _file.File.findOrCreate({
      where: {
        host: file.host,
        path: file.id
      },
      defaults: {
        name: '',
        directory: '',
        extension: '',
        duration: file.duration
      }
    });
    let [movie, movieInserted] = await _movie.Movie.findOrCreate({
      where: {
        tmdbid: file.fileInfo.tmdbid
      }
    });
    await movie.addFile(fileEntity);
    if (!movieInserted) return;
    await this.oblecto.movieUpdateCollector.collectMovie(movie);
    await this.oblecto.movieArtworkCollector.collectArtworkMovieFanart(movie);
    await this.oblecto.movieArtworkCollector.collectArtworkMoviePoster(movie);
  }

}

exports.default = FederationMovieIndexer;