import TVDB from 'node-tvdb';
import { MovieDb } from 'moviedb-promise';
import Queue from '../queue';
import ImageScaler from '../artwork/ArtworkScaler';
import Downloader from '../downloader';
import SeriesIndexer from '../indexers/series/SeriesIndexer';
import MovieIndexer from '../indexers/movies/MovieIndexer';
import SeriesCollector from '../indexers/series/SeriesCollector';
import MovieCollector from '../indexers/movies/MovieCollector';
import OblectoAPI from '../../submodules/REST';
import RealtimeController from '../realtime/RealtimeController';
import ArtworkUtils from '../artwork/ArtworkUtils';
import MovieArtworkCollector from '../artwork/movies/MovieArtworkCollector';
import SeriesArtworkCollector from '../artwork/series/SeriesArtworkCollector';
import SeriesArtworkDownloader from '../artwork/series/SeriesArtworkDownloader';
import MovieArtworkDownloader from '../artwork/movies/MovieArtworkDownloader';
import FileUpdater from '../updaters/files/FileUpdater';
import SeriesUpdater from '../updaters/series/SeriesUpdater';
import MovieUpdater from '../updaters/movies/MovieUpdater';
import FileUpdateCollector from '../updaters/files/FileUpdateCollector';
import SeriesUpdateCollector from '../updaters/series/SeriesUpdateCollector';
import MovieUpdateCollector from '../updaters/movies/MovieUpdateCollector';
import FederationController from '../federation/server/FederationController';
import FederationClientController from '../federation/client/FederationClientController';
import FederationEpisodeIndexer from '../federationindexer/FederationEpisodeIndexer';
import FederationMovieIndexer from '../federationindexer/FederationMovieIndexer';
import MovieCleaner from '../cleaners/MovieCleaner';
import SeriesCleaner from '../cleaners/SeriesCleaner';
import FileCleaner from '../cleaners/FileCleaner';
import FileIndexer from '../indexers/files/FileIndexer';
import StreamSessionController from '../streamSessions/StreamSessionController';
export default class Oblecto {
    config: any;
    database: any;
    tvdb: TVDB;
    tmdb: MovieDb;
    queue: Queue;
    oblectoAPI: OblectoAPI;
    realTimeController: RealtimeController;
    downloader: Downloader;
    fileIndexer: FileIndexer;
    seriesIndexer: SeriesIndexer;
    movieIndexer: MovieIndexer;
    seriesCollector: SeriesCollector;
    movieCollector: MovieCollector;
    seriesArtworkDownloader: SeriesArtworkDownloader;
    movieArtworkDownloader: MovieArtworkDownloader;
    seriesArtworkCollector: SeriesArtworkCollector;
    movieArtworkCollector: MovieArtworkCollector;
    artworkUtils: ArtworkUtils;
    imageScaler: ImageScaler;
    fileUpdater: FileUpdater;
    seriesUpdater: SeriesUpdater;
    movieUpdater: MovieUpdater;
    fileUpdateCollector: FileUpdateCollector;
    seriesUpdateCollector: SeriesUpdateCollector;
    movieUpdateCollector: MovieUpdateCollector;
    fileCleaner: FileCleaner;
    movieCleaner: MovieCleaner;
    seriesCleaner: SeriesCleaner;
    streamSessionController: StreamSessionController;
    federationController: FederationController;
    federationClientController: FederationClientController;
    federationEpisodeIndexer: FederationEpisodeIndexer;
    federationMovieIndexer: FederationMovieIndexer;
    constructor(config: any);
    close(): void;
}
