import Oblecto from "../oblecto";
export default class Queue {
    private oblecto;
    private readonly jobs;
    private queue;
    constructor(oblecto: Oblecto);
    /**
     *  Define a new job
     * @param {string} id
     * @param {function} job
     */
    registerJob(id: any, job: any): void;
    /**
     *  Add a job to the end of the queue
     * @param {string} id
     * @param {object} attr
     * @param {number} priority
     */
    queueJob(id: any, attr: any, priority?: number): void;
    /**
     *  Adds a queue which should be completed as soon as possible
     * @param {string} id
     * @param {object} attr
     */
    lowPriorityJob(id: any, attr: any): void;
    /**
     *  Add a job to the front of the queue
     * @param {string} id
     * @param {object} attr
     */
    pushJob(id: any, attr: any): void;
}
