"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _socket = _interopRequireDefault(require("socket.io"));

var _RealtimeClient = _interopRequireDefault(require("./RealtimeClient"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class RealtimeController {
  /**
   *
   * @param {Oblecto} oblecto
   */
  constructor(oblecto) {
    this.oblecto = oblecto;
    this.clients = {};
    this.server = _socket.default.listen(oblecto.oblectoAPI.server.server, {
      log: false,
      agent: false,
      origins: '*:*',
      transports: ['websocket', 'polling']
    });
    this.server.on('connection', socket => {
      this.connectionHandler(socket);
    });
  }

  connectionHandler(socket) {
    this.clients[socket.id] = new _RealtimeClient.default(this.oblecto, socket);
    this.clients[socket.id].on('disconnect', () => {
      delete this.clients[socket.id];
    });
  }

  close() {
    for (let client of Object.keys(this.clients)) {
      this.clients[client].disconnect();
    }

    this.server.close();
  }

}

exports.default = RealtimeController;