"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _tmdb = _interopRequireDefault(require("../../../submodules/tmdb"));

var _database = _interopRequireDefault(require("../../../submodules/database"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  GetTmdbLists: async function (movie) {
    let response = await _tmdb.default.movieLists({
      id: movie.tmdbid
    });
  },

  /**
   * @return {boolean}
   */
  GetTmdbCollection: async function (movie) {
    let response = await _tmdb.default.movieInfo({
      id: movie.tmdbid
    });
    if (!response.belongs_to_collection) return false;
    let collectionResponse = await _tmdb.default.collectionInfo({
      id: response.belongs_to_collection.id
    });
    let [Collection, Inserted] = await _database.default.movieSet.findOrCreate({
      where: {
        tmdbid: collectionResponse.id
      },
      defaults: {
        setName: collectionResponse.name,
        overview: collectionResponse.overview
      }
    });
    Collection.addMovie(movie);
    return true;
  },
  GetSetsForMovie: function (movie) {
    this.GetTmdbLists(movie);
    this.GetTmdbCollection(movie);
  }
};
exports.default = _default;