"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _mimeTypes = _interopRequireDefault(require("mime-types"));

var _StreamSession = _interopRequireDefault(require("../StreamSession"));

var _fs = _interopRequireDefault(require("fs"));

var _logger = _interopRequireDefault(require("../../../submodules/logger"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class DirectStreamSession extends _StreamSession.default {
  constructor(file, options, oblecto) {
    super(file, options, oblecto);
    this.mimeType = _mimeTypes.default.lookup(file.path);
    this.httpHeaders = {
      'Accept-Ranges': 'none',
      'Content-Length': this.file.size,
      'Content-Type': this.mimeType
    };
  }

  async startStream() {
    await super.startStream();

    try {
      _fs.default.createReadStream(this.file.path).pipe(this.outputStream);
    } catch (e) {
      _logger.default.log(e);
    }
  }

}

exports.default = DirectStreamSession;