"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _file = require("../../../models/file");

class FileUpdateCollector {
  /**
   *
   * @param {Oblecto} oblecto
   */
  constructor(oblecto) {
    this.oblecto = oblecto;
  }
  /**
   *
   * @param {File} file - File entity to update
   * @returns {Promise<void>}
   */


  async collectFile(file) {
    this.oblecto.queue.queueJob('updateFile', file);
  }
  /**
   *
   * @returns {Promise<void>}
   */


  async collectAllFiles() {
    let files = await _file.File.findAll();

    for (let file of files) {
      this.collectFile(file);
    }
  }

}

exports.default = FileUpdateCollector;