"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _database = _interopRequireDefault(require("../../../submodules/database"));

var _movie = require("../../../models/movie");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class MovieUpdateCollector {
  /**
   *
   * @param {Oblecto} oblecto
   */
  constructor(oblecto) {
    this.oblecto = oblecto;
  }
  /**
   *
   * @param {Movie} movie - Which movie entity to update;
   * @returns {Promise<void>}
   */


  async collectMovie(movie) {
    this.oblecto.queue.queueJob('updateMovie', movie);
  }
  /**
   *
   * @returns {Promise<void>}
   */


  async collectAllMovies() {
    let movies = await _movie.Movie.findAll();

    for (let movie of movies) {
      this.collectMovie(movie);
    }
  }

}

exports.default = MovieUpdateCollector;