"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _AggregateUpdateRetriever = _interopRequireDefault(require("../../common/AggregateUpdateRetriever"));

var _TmdbMovieRetriever = _interopRequireDefault(require("./informationRetrievers/TmdbMovieRetriever"));

var _logger = _interopRequireDefault(require("../../../submodules/logger"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class MovieUpdater {
  constructor(oblecto) {
    this.oblecto = oblecto;
    this.aggregateMovieUpdateRetriever = new _AggregateUpdateRetriever.default();
    const movieUpdateRetrievers = {
      'tmdb': _TmdbMovieRetriever.default
    };

    for (let updater of this.oblecto.config.movies.movieUpdaters) {
      _logger.default.log('DEBUG', `Loading ${updater} movie updater`);

      this.aggregateMovieUpdateRetriever.loadRetriever(new movieUpdateRetrievers[updater](this.oblecto));
    } // Register task availability to Oblecto queue


    this.oblecto.queue.registerJob('updateMovie', async job => {
      await this.updateMovie(job);
    });
  }
  /**
   *
   * @param {Movie} movie
   * @returns {Promise<void>}
   */


  async updateMovie(movie) {
    let data = await this.aggregateMovieUpdateRetriever.retrieveInformation(movie);
    await movie.update(data);
  }

}

exports.default = MovieUpdater;