"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _promiseTimeout = _interopRequireDefault(require("../../../../submodules/promiseTimeout"));

var _DebugExtendableError = _interopRequireDefault(require("../../../errors/DebugExtendableError"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class TvdbEpisodeRetriever {
  constructor(oblecto) {
    this.oblecto = oblecto;
  }

  async retrieveInformation(episode) {
    if (!episode.tvdbid) throw new _DebugExtendableError.default('No tvdbid attached to episode');
    let episodeInfo = await (0, _promiseTimeout.default)(this.oblecto.tvdb.getEpisodeById(episode.tvdbid));
    let data = {
      episodeName: episodeInfo.episodeName,
      airedEpisodeNumber: episodeInfo.airedEpisodeNumber,
      airedSeason: episodeInfo.airedSeason,
      overview: episodeInfo.overview,
      firstAired: episodeInfo.firstAired,
      dvdEpisodeNumber: episodeInfo.dvdEpisodeNumber,
      dvdSeason: episodeInfo.dvdSeason,
      absoluteNumber: episodeInfo.absoluteNumber
    };
    if (episodeInfo.imdbId) data.imdbid = episodeInfo.imdbId;
    return episodeInfo;
  }

}

exports.default = TvdbEpisodeRetriever;