"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.episodeColumns = exports.Episode = void 0;

var _sequelize = require("sequelize");

class Episode extends _sequelize.Model {}

exports.Episode = Episode;
const episodeColumns = {
  tvdbid: {
    type: _sequelize.DataTypes.INTEGER,
    allowNull: true,
    unique: true
  },
  tmdbid: {
    type: _sequelize.DataTypes.INTEGER,
    allowNull: true,
    unique: true
  },
  imdbid: {
    type: _sequelize.DataTypes.STRING,
    allowNull: true,
    unique: true
  },
  episodeName: {
    type: _sequelize.DataTypes.STRING,
    allowNull: true
  },
  absoluteNumber: {
    type: _sequelize.DataTypes.INTEGER,
    allowNull: true
  },
  airedEpisodeNumber: {
    type: _sequelize.DataTypes.STRING,
    allowNull: false
  },
  airedSeason: {
    type: _sequelize.DataTypes.STRING,
    allowNull: false
  },
  dvdEpisodeNumber: {
    type: _sequelize.DataTypes.STRING,
    allowNull: true
  },
  dvdSeason: {
    type: _sequelize.DataTypes.STRING,
    allowNull: true
  },
  firstAired: {
    type: _sequelize.DataTypes.DATEONLY,
    allowNull: true
  },
  overview: {
    type: _sequelize.DataTypes.STRING,
    allowNull: true
  }
};
exports.episodeColumns = episodeColumns;