"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.streamColumns = exports.Stream = void 0;

var _sequelize = require("sequelize");

class Stream extends _sequelize.Model {}

exports.Stream = Stream;
const streamColumns = {
  index: _sequelize.DataTypes.INTEGER,
  codec_name: _sequelize.DataTypes.STRING,
  profile: _sequelize.DataTypes.STRING,
  codec_type: _sequelize.DataTypes.STRING,
  codec_time_base: _sequelize.DataTypes.STRING,
  codec_tag_string: _sequelize.DataTypes.STRING,
  sample_fmt: _sequelize.DataTypes.STRING,
  sample_rate: _sequelize.DataTypes.INTEGER,
  bits_per_sample: _sequelize.DataTypes.INTEGER,
  channels: _sequelize.DataTypes.INTEGER,
  channel_layout: _sequelize.DataTypes.STRING,
  width: _sequelize.DataTypes.INTEGER,
  height: _sequelize.DataTypes.INTEGER,
  coded_width: _sequelize.DataTypes.INTEGER,
  coded_height: _sequelize.DataTypes.INTEGER,
  has_b_frames: _sequelize.DataTypes.INTEGER,
  sample_aspect_ratio: _sequelize.DataTypes.STRING,
  display_aspect_ratio: _sequelize.DataTypes.STRING,
  pix_fmt: _sequelize.DataTypes.STRING,
  level: _sequelize.DataTypes.INTEGER,
  color_range: _sequelize.DataTypes.STRING,
  color_space: _sequelize.DataTypes.STRING,
  color_transfer: _sequelize.DataTypes.STRING,
  color_primaries: _sequelize.DataTypes.STRING,
  chroma_location: _sequelize.DataTypes.STRING,
  field_order: _sequelize.DataTypes.STRING,
  timecode: _sequelize.DataTypes.INTEGER,
  refs: _sequelize.DataTypes.INTEGER,
  is_avc: _sequelize.DataTypes.BOOLEAN,
  nal_length_size: _sequelize.DataTypes.INTEGER,
  stream_id: _sequelize.DataTypes.STRING,
  r_frame_rate: _sequelize.DataTypes.STRING,
  avg_frame_rate: _sequelize.DataTypes.STRING,
  time_base: _sequelize.DataTypes.STRING,
  start_pts: _sequelize.DataTypes.BIGINT,
  start_time: _sequelize.DataTypes.INTEGER,
  duration_ts: _sequelize.DataTypes.BIGINT,
  duration: _sequelize.DataTypes.INTEGER,
  bit_rate: _sequelize.DataTypes.INTEGER,
  max_bit_rate: _sequelize.DataTypes.INTEGER,
  bits_per_raw_sample: _sequelize.DataTypes.INTEGER,
  nb_frames: _sequelize.DataTypes.INTEGER,
  nb_read_frames: _sequelize.DataTypes.INTEGER,
  nb_read_packets: _sequelize.DataTypes.INTEGER,
  disposition_default: _sequelize.DataTypes.INTEGER,
  disposition_dub: _sequelize.DataTypes.INTEGER,
  disposition_original: _sequelize.DataTypes.INTEGER,
  disposition_comment: _sequelize.DataTypes.INTEGER,
  disposition_lyrics: _sequelize.DataTypes.INTEGER,
  disposition_karaoke: _sequelize.DataTypes.INTEGER,
  disposition_forced: _sequelize.DataTypes.INTEGER,
  disposition_hearing_impaired: _sequelize.DataTypes.INTEGER,
  disposition_clean_effects: _sequelize.DataTypes.INTEGER,
  disposition_attached_pic: _sequelize.DataTypes.INTEGER,
  disposition_timed_thumbnails: _sequelize.DataTypes.INTEGER,
  tags_language: _sequelize.DataTypes.STRING,
  tags_title: _sequelize.DataTypes.STRING,
  dmix_mode: _sequelize.DataTypes.INTEGER,
  ltrt_cmixlev: _sequelize.DataTypes.INTEGER,
  ltrt_surmixlev: _sequelize.DataTypes.INTEGER,
  loro_cmixlev: _sequelize.DataTypes.INTEGER,
  loro_surmixlev: _sequelize.DataTypes.INTEGER,
  quarter_sample: _sequelize.DataTypes.BOOLEAN,
  divx_packed: _sequelize.DataTypes.BOOLEAN,
  side_data_type: _sequelize.DataTypes.STRING,
  closed_captions: _sequelize.DataTypes.BOOLEAN
};
exports.streamColumns = streamColumns;