"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _jsonwebtoken = _interopRequireDefault(require("jsonwebtoken"));

var _restifyErrors = _interopRequireDefault(require("restify-errors"));

var _config = _interopRequireDefault(require("../../../config"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  requiresAuth(req, res, next) {
    if (req.authorization === undefined) return next(new _restifyErrors.default.UnauthorizedError('Session is not authenticated'));

    _jsonwebtoken.default.verify(req.authorization.credentials || req.params.auth, _config.default.authentication.secret, function (err, decoded) {
      if (err) return next(new _restifyErrors.default.UnauthorizedError('An error has occurred during session authentication'));
      req.authorization.user = decoded;
      next();
    });
  }

};
exports.default = _default;