"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _jsonwebtoken = _interopRequireDefault(require("jsonwebtoken"));

var _restifyErrors = _interopRequireDefault(require("restify-errors"));

var _bcrypt = _interopRequireDefault(require("bcrypt"));

var _user = require("../../../models/user");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (server, oblecto) => {
  server.post('/auth/login', async function (req, res, next) {
    if (!req.params.username) return next(new _restifyErrors.default.BadRequestError('Username is missing'));
    if (!req.params.password && !oblecto.config.authentication.allowPasswordlessLogin) return next(new _restifyErrors.default.BadRequestError('Password is missing'));
    let user = await _user.User.findOne({
      where: {
        username: req.params.username
      },
      attributes: ['username', 'name', 'email', 'password', 'id']
    }); // Don't send a token if the user doesn't exist

    if (!user) return next(new _restifyErrors.default.UnauthorizedError('Username is incorrect'));
    let allowLogin = oblecto.config.authentication.allowPasswordlessLogin;
    if (user.password) allowLogin = await _bcrypt.default.compare(req.params.password, user.password);
    if (!allowLogin) return next(new _restifyErrors.default.UnauthorizedError('Password is incorrect'));
    let tokenPayload = {
      id: user.id,
      username: user.username,
      name: user.name,
      email: user.email
    };

    let accessToken = _jsonwebtoken.default.sign(tokenPayload, oblecto.config.authentication.secret);

    res.send({
      accessToken
    });
  });
};

exports.default = _default;