"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _auth = _interopRequireDefault(require("../middleware/auth"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *
 * @param {Server} server
 * @param {Oblecto} oblecto
 */
var _default = (server, oblecto) => {
  server.get('/clients', _auth.default.requiresAuth, async function (req, res, next) {
    let clients = [];

    for (let clientId in oblecto.realTimeController.clients) {
      let client = oblecto.realTimeController.clients[clientId];

      if (client.user.id === req.authorization.user.id) {
        clients.push({
          clientId,
          clientName: client.clientName
        });
      }
    }

    res.send(clients);
    return next();
  });
  server.post('/client/:clientId/playback', _auth.default.requiresAuth, async function (req, res, next) {
    let type = req.params.type;
    let client = oblecto.realTimeController.clients[req.params.clientId];

    switch (type) {
      case 'episode':
        client.playEpisode(req.params.id);
        break;

      case 'movie':
        client.playMovie(req.params.id);
        break;
    }

    res.send();
    return next();
  });
};

exports.default = _default;