"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _restifyErrors = _interopRequireDefault(require("restify-errors"));

var _auth = _interopRequireDefault(require("../middleware/auth"));

var _movieSet = require("../../../models/movieSet");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = server => {
  server.post('/set/movie', _auth.default.requiresAuth, async function (req, res, next) {
    if (typeof req.params.public !== 'boolean') {
      return next(new _restifyErrors.default.InvalidArgumentError('Argument public is not a boolean'));
    }

    let [set, setInserted] = await _movieSet.MovieSet.findOrCreate({
      where: {
        setName: req.params.name
      },
      defaults: {
        overview: req.params.overview,
        public: req.params.public
      }
    });
    res.send(set);
  });
};

exports.default = _default;