"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _auth = _interopRequireDefault(require("../../middleware/auth"));

var _restifyErrors = _interopRequireDefault(require("restify-errors"));

var _config = require("../../../../config");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *
 * @param server
 * @param {Oblecto} oblecto
 */
var _default = (server, oblecto) => {
  // API Endpoint to request a re-index of certain library types
  server.get('/settings/:setting', _auth.default.requiresAuth, function (req, res, next) {
    if (!oblecto.config[req.params.setting]) return next(new _restifyErrors.default.NotFoundError('Setting does not exist'));
    res.send(oblecto.config[req.params.setting]);
  });
  server.put('/settings/:setting', _auth.default.requiresAuth, function (req, res, next) {
    if (!oblecto.config[req.params.setting]) return next(new _restifyErrors.default.NotFoundError('Setting does not exist'));
    oblecto.config[req.params.setting] = req.body;

    _config.ConfigManager.saveConfig();

    res.send(oblecto.config[req.params.setting]);
    return next();
  });
};

exports.default = _default;