"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _auth = _interopRequireDefault(require("../../middleware/auth"));

var _restifyErrors = _interopRequireDefault(require("restify-errors"));

var _config = require("../../../../config");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (server, oblecto) => {
  // API Endpoint to request a re-index of certain library types
  server.get('/sources/:type', _auth.default.requiresAuth, function (req, res, next) {
    if (['movies', 'tvshows'].indexOf(req.params.type) === -1) {
      return next(new _restifyErrors.default.BadRequestError('Source type does not exist'));
    }

    res.send(oblecto.config[req.params.type].directories || {});
  });
  server.put('/sources/:type', _auth.default.requiresAuth, function (req, res, next) {
    if (['movies', 'tvshows'].indexOf(req.params.type) === -1) {
      return next(new _restifyErrors.default.BadRequestError('Source type does not exist'));
    }

    if (!req.params.path) {
      return next(new _restifyErrors.default.BadRequestError('No path specified'));
    }

    oblecto.config[req.params.type].directories.push({
      path: req.params.path
    });
    res.send('success');

    _config.ConfigManager.saveConfig();
  });
  server.del('/sources/:type', _auth.default.requiresAuth, function (req, res, next) {
    if (['movies', 'tvshows'].indexOf(req.params.type) === -1) {
      return next(new _restifyErrors.default.BadRequestError('Source type does not exist'));
    }

    if (!req.params.path) {
      return next(new _restifyErrors.default.BadRequestError('No path specified'));
    }

    oblecto.config[req.params.type].directories.forEach((v, i) => {
      if (v.path === req.params.path) {
        delete oblecto.config[req.params.type].directories.splice(i, 1);
      }
    });
    res.send('success');

    _config.ConfigManager.saveConfig();
  });
};

exports.default = _default;