"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _WarnExtendableError = _interopRequireDefault(require("../lib/errors/WarnExtendableError"));

var _axios = _interopRequireDefault(require("axios"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default(...args) {
  return new Promise(function (resolve, reject) {
    let timedout = false;
    let timeout = setTimeout(() => {
      timedout = true;
      reject(new _WarnExtendableError.default(`Axios timeout failed and promise timeout expired for ${args[0].url}`));
    }, 20000);
    args[0].timeout = 10000;
    (0, _axios.default)(...args).then(response => {
      if (timedout) return;
      clearTimeout(timeout);
      resolve(response);
    }).catch(err => {
      clearTimeout(timeout);
      reject(err);
    });
  });
}