"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _guessitWrapper = _interopRequireDefault(require("guessit-wrapper"));

var _guessitExec = _interopRequireDefault(require("guessit-exec"));

var _which = _interopRequireDefault(require("which"));

var _logger = _interopRequireDefault(require("./logger"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let use_binary = false;
(0, _which.default)('guessit', function (err, resolvedPath) {
  if (err) {
    _logger.default.log('INFO', 'Guessit binary has not been found');

    _logger.default.log('INFO', 'Using the web based identifier');

    _logger.default.log('INFO', 'This may significantly reduce indexing speeds');

    _logger.default.log('INFO', 'Please install guessit from your package manager');

    return;
  }

  _logger.default.log('INFO', 'Guessit binary has been found');

  _logger.default.log('INFO', 'Using local guessit binary');

  use_binary = true;
});
var _default = {
  async identify(search) {
    if (use_binary) {
      return (0, _guessitExec.default)(search);
    }

    return _guessitWrapper.default.parseName(search);
  }

};
exports.default = _default;