"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _events = require("events");

class Logger extends _events.EventEmitter {
  constructor() {
    super();
    this.silent = false;
    this.on('log', log => {
      if (this.silent) return; //if (log.level === 'DEBUG') return;

      if (log instanceof Error) {
        console.log(log.level, log);
        return;
      }

      console.log(log.level, ...log.messages);
    });
  }

  log(level, ...messages) {
    // If an error was passed right into the log function
    if (level instanceof Error) {
      this.emit('log', level);
      return;
    }

    this.emit('log', {
      level,
      messages
    });
  }

}

var _default = new Logger();

exports.default = _default;