"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _WarnExtendableError = _interopRequireDefault(require("../lib/errors/WarnExtendableError"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default(promise, time) {
  return new Promise(function (resolve, reject) {
    let timedout = false;
    let timeout = setTimeout(() => {
      timedout = true;
      reject(new _WarnExtendableError.default('A promise has timed out'));
    }, time || 10000);
    promise.then(response => {
      if (timedout) return;
      clearTimeout(timeout);
      resolve(response);
    }).catch(err => {
      clearTimeout(timeout);
      reject(err);
    });
  });
}